<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:notifications="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/notifications"
	xmlns:identification="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/identification"
	xmlns:popups="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/popups">
<h:outputStylesheet library="css" name="extraction/#{css}" />

<f:loadBundle basename="org.inra.ecoinfo.glacpe.extraction.jsf.panels.sonde.depthchoicestep" var="depthchoicestep"/>

<a4j:jsFunction name="selectChoiceDepth"
	execute="@this,panelChoiceDepth,parametersRequest"
	render="panelChoiceDepth,parametersRequest, prevStepButton, nextStepButton, validImage"
	limitRender="true">
	<a4j:param name="param1"
		assignTo="#{uiBean.parametersRequest.depthRequestParam.allDepth}" />
</a4j:jsFunction>

<h:panelGroup id="messageWarningStep3">
	<h:outputText
		value="#{depthchoicestep.PROPERTY_MSG_CHOOSE_DATA}"
		rendered="#{not uiBean.parametersRequest.dephtDatatypeStepIsValid}"
		styleClass="selectionEmpty" />
</h:panelGroup>

<h3>#{depthchoicestep.PROPERTY_MSG_DEPTH_TITLE}</h3>
<h:panelGroup id="panelChoiceDepth">
	<h:panelGroup layout="block" styleClass="buttonRadioAndLabel">
		<input type="radio" name="choiceDepth" value="depthAll" id="depthAll"
			onclick="selectChoiceDepth(this.checked)"
			checked="#{uiBean.parametersRequest.depthRequestParam.allDepth?'checked':''}" />
		<label for="depthAll"><h:outputText
				value="#{depthchoicestep.PROPERTY_MSG_ALL_DEPTH}" /> </label>
	</h:panelGroup>
	<h:panelGroup layout="block" styleClass="buttonRadioAndLabel">
		<input type="radio" name="choiceDepth" value="depthRange"
			id="depthRange" onclick="selectChoiceDepth(!this.checked)"
			checked="#{not uiBean.parametersRequest.depthRequestParam.allDepth?'checked':''}" />
		<label for="depthRange"><h:outputText
				value="#{depthchoicestep.PROPERTY_MSG_INTERVAL_DEPTH}" /> </label>
	</h:panelGroup>
	<h:panelGroup layout="block" styleClass="inputsDepthRange">
		<rich:messages for="validationDepth" rendered="#{uiBean.step==3}"/>
		<h:inputText  id="depthMin"
			value="#{uiBean.parametersRequest.depthRequestParam.depthMin}"
			disabled="#{uiBean.parametersRequest.depthRequestParam.allDepth}"
			styleClass="#{not uiBean.parametersRequest.depthRequestParam.allDepth?'':'disabled'}">
			<a4j:ajax event="change"
				execute="panelChoiceDepth, parametersRequest"
				render="parametersRequest"/>
		</h:inputText>
		<h:inputText id="depthMax"
			value="#{uiBean.parametersRequest.depthRequestParam.depthMax}"
			disabled="#{uiBean.parametersRequest.depthRequestParam.allDepth}"
			styleClass="#{not uiBean.parametersRequest.depthRequestParam.allDepth?'':'disabled'}">
			<a4j:ajax event="change"
				execute="panelChoiceDepth, parametersRequest"
				render="parametersRequest" />
		</h:inputText>
		<h:inputHidden id="validationDepth" validator="#{uiBean.parametersRequest.depthRequestParam.validateDepth}" value="validationDepth" />
	</h:panelGroup>

</h:panelGroup>

<h3>#{depthchoicestep.PROPERTY_MSG_DATA_TITLE}</h3>
<h:panelGroup id="panelChoiceData" styleClass="panelChoiceData">
	<h:panelGroup layout="block" styleClass="wrapper">
		<h:selectBooleanCheckbox
			value="#{uiBean.parametersRequest.datasRequestParam.rawData}"
			id="rawData">
			<a4j:ajax event="change" execute="panelChoiceData,parametersRequest"
				render="panelChoiceData,parametersRequest, messageWarningStep3, prevStepButton, nextStepButton, validImage" />
		</h:selectBooleanCheckbox>
		<h:outputLabel value="#{depthchoicestep.PROPERTY_MSG_RAW_DATA}" for="rawData" />
	</h:panelGroup>
	<h:panelGroup layout="block" styleClass="wrapper">
		<h:selectBooleanCheckbox
			value="#{uiBean.parametersRequest.datasRequestParam.dataBalancedByDepth}"
			id="dataBalancedByDepth">
			<a4j:ajax event="change" execute="panelChoiceData,parametersRequest"
				render="panelChoiceData,parametersRequest, messageWarningStep3, prevStepButton, nextStepButton, validImage" />
		</h:selectBooleanCheckbox>
		<h:outputLabel value="#{depthchoicestep.PROPERTY_MSG_DEPTH_BY_DATA}"
			for="dataBalancedByDepth" />

	</h:panelGroup>


	<rich:dataTable
		value="#{uiBean.parametersRequest.datasRequestParam.extractionParameters}"
		var="extractionParameter" id="dataTableDataBalancedByDepth"
		styleClass="dataTableDataBalancedByDepth #{uiBean.parametersRequest.datasRequestParam.dataBalancedByDepth?'':'disabled'}"
		rows="6">
		<rich:column styleClass="variablesColumn">
			<f:facet name="header">
				<h:outputText value="#{depthchoicestep.PROPERTY_MSG_VARIABLE_NAME}" />
			</f:facet>
			<h:outputText value="#{extractionParameter.name}" />
		</rich:column>
		<rich:column styleClass="values">
			<f:facet name="header">
				<h:outputText value="#{depthchoicestep.PROPERTY_MSG_MIN_VALUE}" />
			</f:facet>
			<h:selectBooleanCheckbox value="#{extractionParameter.valueMin}"
				disabled="#{not uiBean.parametersRequest.datasRequestParam.dataBalancedByDepth}">
				<a4j:ajax event="change" execute="panelChoiceData,parametersRequest"
					render="panelChoiceData,parametersRequest" />
			</h:selectBooleanCheckbox>
		</rich:column>
		<rich:column styleClass="values">
			<f:facet name="header">
				<h:outputText value="#{depthchoicestep.PROPERTY_MSG_MAX_VALUE}" />
			</f:facet>

			<h:selectBooleanCheckbox value="#{extractionParameter.valueMax}"
				disabled="#{not uiBean.parametersRequest.datasRequestParam.dataBalancedByDepth}">
				<a4j:ajax event="change" execute="panelChoiceData,parametersRequest"
					render="panelChoiceData,parametersRequest" />
			</h:selectBooleanCheckbox>
		</rich:column>
		<rich:column>
			<a4j:commandLink execute="panelChoiceData"
				render="panelChoiceData,parametersRequest"
				disabled="#{not uiBean.parametersRequest.datasRequestParam.dataBalancedByDepth}"
				action="#{uiBean.addParameterExtraction}">
				<h:graphicImage name="add_ok.png" library="images" />
				<f:setPropertyActionListener
					target="#{uiBean.currentParameterExtraction}"
					value="#{extractionParameter}" />
				<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
					<h:outputText value="#{depthchoicestep.PROPERTY_MSG_ADD_VALUE}" />
				</rich:tooltip>
			</a4j:commandLink>

			<a4j:repeat value="#{extractionParameter.targetValues}" var="value"
				iterationStatusVar="status">
				<h:panelGrid columns="4">
					<h:inputText
						value="#{extractionParameter.targetValues[status.index]}"
						disabled="#{not uiBean.parametersRequest.datasRequestParam.dataBalancedByDepth}"
						size="5">
						<a4j:ajax event="change" execute="panelChoiceData,parametersRequest"
							render="panelChoiceData,parametersRequest"/>
					</h:inputText>
					<h:outputText value="+/-" />
					<h:inputText
						value="#{extractionParameter.uncertainties[status.index]}"
						disabled="#{not uiBean.parametersRequest.datasRequestParam.dataBalancedByDepth}"
						size="5">
						<a4j:ajax event="change" execute="panelChoiceData,parametersRequest" 
							render="panelChoiceData,parametersRequest"/>
					</h:inputText>
					<h:outputText value="#{extractionParameter.unit}" />
				</h:panelGrid>

			</a4j:repeat>
		</rich:column>


	</rich:dataTable>
	<h:panelGroup layout="block" styleClass="dataTable-scroller">
		<rich:dataScroller for="dataTableDataBalancedByDepth" />
	</h:panelGroup>
</h:panelGroup>
</html>